Summary: ntop shows the network usage
Name: ntop
Version: 1.3.2
Release: 5
Source: http://www-serra.unipi.it/~ntop/ntop-%{version}-Feb-10-2001.tar.bz2 
Source1: ntop.init
Source2: ntop.logrotate
Patch: ntop-1.3.2-gd.patch
Patch1: ntop-1.3.2-config.patch
Copyright: GPL
Group: Applications/System
BuildPrereq: libpcap, openssl-devel, gd-devel, libpng-devel, zlib-devel
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig, /sbin/ldconfig
requires: lsof >= 4.45

%description
ntop is a tool that shows the network usage, similar to what the
popular top Unix command does.

%prep
%setup -q -n %{name}
%patch -p0 -b .gd
%patch1 -p1 -b .config

%build
cd ./gdchart0.94c
%configure
make
cd ..
%configure --bindir=%{_sbindir} \
           --enable-optimize \
           --with-gdchart-root=./gdchart0.94c
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d \
         $RPM_BUILD_ROOT/var/ntop \
         $RPM_BUILD_ROOT/etc/logrotate.d

%makeinstall bindir=$RPM_BUILD_ROOT%{_sbindir}
install -c -m0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntop
install -c -m0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/ntop
rm -f $RPM_BUILD_ROOT%{_sbindir}/{ntop-cert.pem,ntop-config}

%post
/sbin/chkconfig --add  ntop
/sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	/sbin/service ntop stop > /dev/null 2>&1
	/sbin/chkconfig --del ntop
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service ntop condrestart > /dev/null 2>&1
fi
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CONTENTS COPYING ChangeLog docs/FAQ docs/HACKING docs/KNOWN_BUGS NEWS PORTING
%doc README SUPPORT_NTOP.txt THANKS docs/TODO 
%config %{_sysconfdir}/rc.d/init.d/ntop
%config %{_sysconfdir}/logrotate.d/ntop
%dir /var/ntop
%{_sbindir}/*
%{_mandir}/man?/*
%{_libdir}/*.so.*
%{_libdir}/%{name}/plugins
%{_datadir}/%{name}

%changelog
* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Mon Feb 12 2001 Than Ngo <than@redhat.com>
- updated to fix some buffe overflow problems (Bug #23274)
- fixed i18n in initscript

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated initscript

* Tue Dec 12 2000 Karsten Hopp <karsten@redhat.de>
- added logrotate
- fixed #21338 (access.log in wrong directory)

* Thu Sep 09 2000 Than Ngo <than@redhat.com>
- fixed install buildroot (Bug #17054)
- added libpcap to BuildPrereq
- anable support SSL
- build with optimization
- clean up specfile

* Tue Aug 8 2000 Tim Powers <timp@redhat.com>
- built for 7.0

* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- update to new version to fix security problem with browsing local files with
  the web interface
- added condrestart stuff, reworked initscript

* Thu Feb 17 2000 Tim Powers <timp@redhat.com>
- put in /usr/sbin instead of /sbin

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- removed gzip line so that the build system/rpm can automagically gzip the
	man pages

* Thu Feb 10 2000 Ngo Than <than@redhat.com>
- add new security patch for ntop-1.1 (security patch from bero is only for ntop-1.0)

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply security patch
- handle RPM_OPT_FLAGS
- gzip man pages
- strip binaries

* Wed Feb 09 2000 Tim Powers <timp@redhat.com>
- erroniously removed from the tree. rebuilt it.

* Mon Dec 13 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2
